Bug 6725 - Make patron duplicate matching flexible
Summary: Make patron duplicate matching flexible
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 20 votes (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL:
Keywords: release-notes-needed
Depends on:
Blocks:
 
Reported: 2011-08-15 18:29 UTC by Nicole C. Engard
Modified: 2020-10-07 08:00 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 6725: Make patron duplicate matching flexible (5.17 KB, patch)
2020-08-05 10:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 6725: Make patron duplicate matching flexible (5.24 KB, patch)
2020-08-05 16:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 6725: Make patron duplicate matching flexible (5.27 KB, patch)
2020-08-05 19:29 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 6725: Make patron duplicate matching flexible (5.32 KB, patch)
2020-08-15 11:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 6725: (QA follow-up) Slightly rephrase PatronDuplicateMatchingAddFields (1.15 KB, patch)
2020-08-15 11:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-15 18:29:06 UTC
It would be nice if the patron duplicate matching matched on more fields than just the first/last name combo.  If a patron comes in and uses a nickname the second time around you find them - so maybe options to match on phone or email or birthdate - it would probably have to be a system preference where you choose what is used to find the match.
Comment 1 Emma Perks 2017-08-07 11:31:31 UTC
Valid - needed
Comment 2 Katrin Fischer 2019-05-04 11:40:46 UTC
Still valid.
Comment 3 Kelly McElligott 2019-10-22 14:42:18 UTC
Yes this would be super helpful!  I would agree .
Comment 4 Danielle Elder 2019-10-22 15:01:54 UTC
CLI options would be nice too. ;)
Comment 5 Jonathan Druart 2020-08-05 10:26:06 UTC
Created attachment 107824 [details] [review]
Bug 6725: Make patron duplicate matching flexible

This patch adds a new system preference PatronDuplicateMatchingAddFields
to list the patron's attributes to use for deduplication.
The default value is surname, firstname and dateofbirth to keep existing
behaviour.

Test plan:
0. Apply the patch and execute the update DB entry
1. Create a new patron with surname, firstname
2. Create another patron with the same surname, firstname values
=> Confirm you get the duplicate warning
3. Modify the syspref to edit the list of attributes used to dedup
4. Repeat 1 and 2 with different values and confirm that you get the
behaviours you expect

Note: This is only impacting the add patron form from the UI, not the
import patrons tool.
Comment 6 Martin Renvoize 2020-08-05 16:27:23 UTC
Created attachment 107846 [details] [review]
Bug 6725: Make patron duplicate matching flexible

This patch adds a new system preference PatronDuplicateMatchingAddFields
to list the patron's attributes to use for deduplication.
The default value is surname, firstname and dateofbirth to keep existing
behaviour.

Test plan:
0. Apply the patch and execute the update DB entry
1. Create a new patron with surname, firstname
2. Create another patron with the same surname, firstname values
=> Confirm you get the duplicate warning
3. Modify the syspref to edit the list of attributes used to dedup
4. Repeat 1 and 2 with different values and confirm that you get the
behaviours you expect

Note: This is only impacting the add patron form from the UI, not the
import patrons tool.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2020-08-05 16:28:02 UTC
A nice enhancement that works well.. the code is clear and makes sense and we're passing the qa scripts.. 

Signing off.
Comment 8 ByWater Sandboxes 2020-08-05 19:29:18 UTC
Created attachment 107859 [details] [review]
Bug 6725: Make patron duplicate matching flexible

This patch adds a new system preference PatronDuplicateMatchingAddFields
to list the patron's attributes to use for deduplication.
The default value is surname, firstname and dateofbirth to keep existing
behaviour.

Test plan:
0. Apply the patch and execute the update DB entry
1. Create a new patron with surname, firstname
2. Create another patron with the same surname, firstname values
=> Confirm you get the duplicate warning
3. Modify the syspref to edit the list of attributes used to dedup
4. Repeat 1 and 2 with different values and confirm that you get the
behaviours you expect

Note: This is only impacting the add patron form from the UI, not the
import patrons tool.

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 9 Katrin Fischer 2020-08-15 11:24:16 UTC
Created attachment 108320 [details] [review]
Bug 6725: Make patron duplicate matching flexible

This patch adds a new system preference PatronDuplicateMatchingAddFields
to list the patron's attributes to use for deduplication.
The default value is surname, firstname and dateofbirth to keep existing
behaviour.

Test plan:
0. Apply the patch and execute the update DB entry
1. Create a new patron with surname, firstname
2. Create another patron with the same surname, firstname values
=> Confirm you get the duplicate warning
3. Modify the syspref to edit the list of attributes used to dedup
4. Repeat 1 and 2 with different values and confirm that you get the
behaviours you expect

Note: This is only impacting the add patron form from the UI, not the
import patrons tool.

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-08-15 11:24:20 UTC
Created attachment 108321 [details] [review]
Bug 6725: (QA follow-up) Slightly rephrase PatronDuplicateMatchingAddFields

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Jonathan Druart 2020-08-18 15:45:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 12 Lucas Gass 2020-09-04 15:36:46 UTC
enhancement will not be backported to 20.05.x